FruxonDocs
AgentsAssets

Create a webhook for an asset. When called by an external service, the webhook triggers a targeted RAG update for the changed resources (e.g. the Jira issue or GitHub files that changed). The webhook URL (including the secret key) is returned only on creation — store it securely.

POST
/v1/tenants/{tenant}/agents/{agent}/assets/{asset}/webhooks

Path Parameters

agent*string

The agent ID

asset*string

The RAG document ID

Formatuuid
tenant*string

The tenant identifier

Source type and credentials used when re-ingesting changed resources

source*string
Value in"gcs" | "jira" | "gitHub" | "confluence" | "googleDrive"
[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks" \  -H "Content-Type: application/json" \  -d '{    "source": "gcs"  }'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "ragDocumentId": "00000000-0000-0000-0000-000000000000",
  "agentId": "string",
  "source": 0,
  "webhookUrl": "string",
  "expiresAt": 0,
  "createdAt": 0
}
Empty
Empty